<!DOCTYPE html>
<html lang="en">

<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Graham Featherstone - Introduction</title>
    <link href="../../styles.css" rel="stylesheet" />
</head>

<body>
    <header>
        <div class="container">
            <div class="text-container">
                <h1>Graham Featherstone</h1>
                <p>Chemical Engineering Student | Teacher | Enthusiast</p>
            </div>
            <img src="../../Cropped2.jpg" width="200px">
        </div>
    </header>

    <section>
        <h1>Project 6</h1>
        <h2>
            Key Objectives
        </h2>
        <hl>
            <li>Mill my first board with the SRM-20 Machine</li>
            <li>Learn to use the SRM-20</li>
            <li>Learn how to solder electronic parts onto the final board</li>
        </hl>
    </section>
    <section>
        <h2>
            Learn to mill my first board and solder parts.
        </h2>
        <p>
            During the introductory session, we are introduced to the SRM-20 machine and how it is utilized to create
            electronic circuit boards from
            one sided pieces of copper. We were provided with both the circuit diagram, as well as the drill holes file
            which we needed to input into the
            SRM-20 Machine. Upon uploading these files to the program, small modifications needed to be made such as
            modifying the depth of the tracks to fit our
            substrate parameters.
        </p>
        <p>
            Although I followed the instructions well, there were a few issues that I encountered which I will outline
            with some images below. Unfortunately I set the depth of the material
            to be too shallow, so the circuit board could not be removed from the whole sheet in some instances. In
            other instances, the copper substrate was not flat which resulted in an uneven
            drilling depth on different locations of the board. In yet another instance, I did not provide enough
            pressure on the drill tip while placing it on the copper substrate, that it did not drill
            far enough into the substrate the form proper treads. However, through several attempts, I was able to
            successfully manufacture my own TARANTINO circuit board.
        </p>

    </section>

    <section>
        <h2>Objective</h2>
        <p>The following image was the objective of the project. Our objective was to use the SRM-20 to mill the copper
            board to this design.</p>
        <div class="image-container">
            <img src="Project6Images/Primary1.jpg" width="500px">
            <img src="Project6Images/Primary2.jpg" width="500px">
        </div>
        <p><a href="https://www.rolanddga.com/-/media/roland/images/products/3d/srm20/overview/srm20.png?h=533&w=800&la=en&hash=257D55FA03D752CB901E5EFA34C966151209A628">SRM-20 (link to image)</a></p>
        <div class="image-container">
            <img src="Project6Images/srm20.png" width="500px">
        </div>
        <p>
            Several issues occurred while learning to use the SRM-20. These first two boards were not flat and therefor
            some areas milled at the correct depth
            while other areas barely grazed the surface.
        </p>
        <div class="image-container">
            <img src="Project6Images/Image2.jpg" width="500px">
            <img src="Project6Images/Image3.jpg" width="500px">
        </div>
        <p>
            The second issue that I encournterd was a user issue..ie..me...I unfortunately loaded the incorrect file to
            drill the board. I was able to align
            the holes but could not figure out why the SRM-20 did not drill the holes. To solve this, I attempted to
            attempt to drill the holes manually using the Dremel tool. Unfortunately, the first hole that I drill was
            not centered.
        </p>
        <div class="image-container">
            <img src="Project6Images/Image4.jpg" width="275px">
            <img src="Project6Images/Image5.jpg" width="275px">
            <img src="Project6Images/Image6.jpg" width="275px">
        </div>
        <p>
            I was able to finally trouble shoot everything, but unfortunately the depth of the copper board
            was more than expected. In this case, everything was completed perfectly, but I could not remove the
            milled board from the copper backplate.
        </p>
        <div class="image-container">
            <img src="Project6Images/Image9.jpg" width="500px">
            <img src="Project6Images/Image10.jpg" width="500px">
        </div>
        <p>
            Although I was able to push the board out from the rear copper plate, there were some imperfections that I
            was
            not happy with so I needed to make one more attempt. It was worth it!
        </p>
        <div class="image-container">
            <img src="Project6Images/Image12.jpg" width="500px">
            <img src="Project6Images/Image13.jpg" width="500px">
        </div>
        <p>
            The first thing that I did with my new board was to hammer the rivets into place. I did not take any photos
            of this process
            due to lack of hands...
        </p>
        <div class="image-container">
            <img src="Project6Images/Image14.jpg" width="500px">
            <img src="Project6Images/Image15.jpg" width="500px">
        </div>
        <p>
            At this point, I was ready to start soldering the components onto the board. I began by soldering the
            smallest parts and pins.
        </p>
        <div class="image-container">
            <img src="Project6Images/Image16.jpg" width="500px">
            <img src="Project6Images/Image17.jpg" width="500px">
        </div>
        <p>
            All of the first parts connected nicely, and I used the board diagram above to properly place my LED's in
            the correct direction.
            After soldering the last of my components, I began testing the soldering points to make sure that they all
            formed a nice electrical connection
            with the flow paths throughout the board.
        </p>
        <div class="image-container">
            <img src="Project6Images/Image19.jpg" width="600px">
        </div>
        <p>
            Finally, after testing and several attempts, I succeeded in creating my first chip!
        </p>
        <div class="image-container">
            <img src="Project6Images/Image20.jpg" width="500px">
        </div>
        <p>
            After connecting it to my computer with the USB-C port, I installed the Arduino IDE and loaded the SEEED XIAO
            RP2040 board. There were some issues with using the RP2040
            in the newest update of Arduino IDE, but I troubleshot it by following the steps in this website.
        </p>
        <center>
            <video width="500" height="500" controls>
                <source src="Project6Images/Video1.mp4" type="video/mp4">
            </video>
        </center>
    </section>

</body>

</html>